Skip to main content

Get Azure AD apps

Get list of Azure Active Directory apps. This internally calls GET /V4/ActiveDirectory/Apps filtered by Azure AD app type.

Query Parameters
  • includeOnlyClientDetails boolean

    When true, returns only basic client details without additional metadata.

  • sort string

    Sort criteria in the format ':', where sortOrder is 0 for ascending and 1 for descending. Example: 'displayName:0'.

  • search string

    Search criteria in the format '::'. Example: 'displayName:contains:myApp'.

  • start integer

    Page number for pagination, starting from 0.

  • count integer

    Default value: 25

    Number of results to return per page.

Responses

OK


Schema
  • error object
  • errorMessage string
  • errorCode int32
  • adClients object[]
  • appTypeId int32

    Azure Active Directory (139), Granular Active Directory (41) or File Server (33)

  • subclient object
  • id int32
  • name string
  • backupset object
  • id int32
  • name string
  • client object
  • id int32
  • name string
  • displayName string
  • plan object
  • id int32
  • name string
  • company object
  • id int32
  • name string
  • fullName string
  • commcell object
  • name string

    Name of the commcell the entity belongs to.

  • slaStatus string

    Possible values: [MET_SLA, MISSED_SLA, EXCLUDED_SLA, YET_TO_BE_PROTECTED, MIGHT_MISS_SLA, UNKNOWN]

    Provides the SLA status.

  • domainURL string
  • applicationSize int64
  • numberOfItems int32
  • isConfigured boolean
  • isDisabledClient boolean
  • userAccount object
  • id int32
  • name string
  • lastBackup object
  • jobId int32

    Returns the job id of the last backup job performed.

  • status string

    Possible values: [NEVER_BACKED_UP, COMPLETED, FAILED, COMPLETED_WITH_ERRORS, KILLED, SUSPENDED, INTERRUPTED, ANY_STATUS, SKIPPED, FAILED_TO_START, SYNCHRONIZED, NOT_SYNCHRONIZED, NOT_ATTEMPTED, STARTED, COMPLETED_WITH_WARNINGS, SYSTEM_FAILED, COMMITTED]

    Status of the last backup job performed.

  • time int64

    Shows the time when the last back up job was carried out. The time is provided in unix time format.

  • failureReason string

    Gives the reason for the last backup job failing, if the last backup job fails.

  • lastSuccessfulBackup int32
  • slaSummary object
  • totalEntities int64
  • slaNotMetEntities int64
  • neverBackedupEntities int64
  • recentlyAddedEntities int64
  • recentlyAddedSLANotMetEntities int64
  • slaMetPercentage float
  • slaNotMetProcessedAtleastOncePercentage float
  • neverBackedupPercentage float
  • totalADClients int32
Loading...